<template>
  <component
    :is="tag"
    class="ui-box rounded-lg bg-white px-4 py-4 shadow md:py-8 lg:px-6 lg:py-10 xl:px-8 xl:py-12"
  >
    <slot />
  </component>
</template>

<script lang="ts" setup>
defineOptions({
  name: 'UiBox',
})

defineProps({
  tag: {
    type: String,
    default: 'div',
  },
})
</script>
